<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <parent>
        <artifactId>service-ems</artifactId>
        <groupId>com.usky</groupId>
        <version>0.0.1</version>
    </parent>
    <modelVersion>4.0.0</modelVersion>

    <artifactId>service-ems-biz</artifactId>
    <dependencies>
        <dependency>
            <groupId>com.usky</groupId>
            <artifactId>common-cloud-starter</artifactId>
        </dependency>

        <dependency>
            <groupId>com.usky</groupId>
            <artifactId>service-ems-api</artifactId>
            <version>0.0.1</version>
        </dependency>

        <dependency>
            <groupId>com.usky</groupId>
            <artifactId>service-iot-api</artifactId>
            <version>0.0.1</version>
        </dependency>

        <dependency>
            <groupId>com.usky</groupId>
            <artifactId>service-tsdb-api</artifactId>
            <version>0.0.1</version>
        </dependency>

        <dependency>
            <groupId>com.usky</groupId>
            <artifactId>ruoyi-common-core</artifactId>
        </dependency>

        <dependency>
            <groupId>com.usky</groupId>
            <artifactId>ruoyi-common-swagger</artifactId>
        </dependency>

        <dependency>
            <groupId>com.usky</groupId>
            <artifactId>usky-common-mybatis</artifactId>
        </dependency>

        <!-- XML处理 -->
        <dependency>
            <groupId>org.dom4j</groupId>
            <artifactId>dom4j</artifactId>
            <version>2.1.3</version>
        </dependency>

        <!-- AES加密 -->
        <dependency>
            <groupId>org.bouncycastle</groupId>
            <artifactId>bcprov-jdk15on</artifactId>
            <version>1.70</version>
        </dependency>
        <!-- Hutool 加密解密工具类（5.8.41 版本） -->
        <dependency>
            <groupId>cn.hutool</groupId>
            <artifactId>hutool-crypto</artifactId>
            <version>5.8.41</version>
        </dependency>

        <!-- TDengine JDBC -->
        <dependency>
            <groupId>com.taosdata.jdbc</groupId>
            <artifactId>taos-jdbcdriver</artifactId>
            <version>3.6.3</version>
        </dependency>
    </dependencies>

    <build>
        <finalName>${project.artifactId}</finalName>
        <plugins>
            <plugin>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-maven-plugin</artifactId>
                <version>2.2.6.RELEASE</version>
                <executions>
                    <execution>
                        <goals>
                            <goal>repackage</goal>
                        </goals>
                    </execution>
                </executions>
            </plugin>
        </plugins>
    </build>

</project>
